{% extends "base.html" %} {% block title %}
<title>密码登录</title>
{% endblock %} {% block css %} {{ super() }} {% endblock %} {% block header %} {{ super() }} {% endblock %} {% block main %}
<!-- main-area -->
<main>
    <section class="shop--area shop-right-sidebar pt-90 pb-90">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-lg-6">
                    <div class="card-wrapper">
                        <div class="card fat">
                            <div class="card-body">
                                <h4 class="card-title" id="title_verification_code_login_or_register">验证码登录/注册</h4>
                                <form method="POST" class="my-login-validation" novalidate="">
                                    <div class="form-group">
                                        <label for="email">邮箱</label>
                                        <input id="email" type="email" class="form-control" placeholder="5-7位学号@tongji.edu.cn" name="email" required />
                                    </div>

                                    <div class="form-group">
                                        <label for="verify">验证码</label>

                                        <div class="row" style="width: 100%; margin: auto; display: flex">
                                            <div class="" style="/* width: 100%; */ flex-grow: 1; padding-right: 16px">
                                                <input id="code" type="text" class="form-control" placeholder="请输入验证码" name="verify" required="" autocomplete="off"/>
                                            </div>
                                            <div class="" style="width: 128px">
                                                <div class="float-right">
                                                    <button type="button" class="btn btn_custom" style="line-height: 0.8" id="send_verify" onclick="send_email()">发送验证码</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="hidden_passwd" hidden>
                                        <div class="form-group">
                                            <label for="password">密码</label>
                                            <input id="password" type="password" class="form-control" placeholder="请设置6-32位密码，仅接受[a-zA-Z0-9_-]。" name="password" autocomplete="new-password"/>
                                        </div>
                                    </div>

                                    <button type="button" id="login_or_register_button" class="btn btn-primary btn-block" onclick="register_or_login()">登录/注册</button>

                                    <div class="mt-4 text-center" id="click_return_UC"><a href="{{url_for('login',redirect=url)}}">点击</a>使用密码登录</div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
<!-- main-area-end -->

{% endblock %} {% block footer %} {{ super() }} {% endblock %} {% block js %} {{ super() }}

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
<script src="{{url_for('static',filename='js/my-login.js')}}"></script>
<script type="text/javascript">
    function send_email() {
        var email = $("#email").val(); //获取邮箱，学号;
        // console.log("send_email", email);
        $("#send_verify").attr("disabled", true); // 禁用“发送验证码”按钮
        var count_down = 60;
        var timer = setInterval(function () {
            document.getElementById("send_verify").innerHTML = "" + count_down + "s";
            // console.log("" + count_down + "s");
            count_down -= 1;
        }, 1000);
        setTimeout(function () {
            $("#send_verify").attr("disabled", false);
            clearInterval(timer);
            document.getElementById("send_verify").innerHTML = "发送验证码";
        }, 1000 * count_down); // 过这么多秒后重新启用
        $.post("/api/send_verification_code", { email: email }, function (ret) {
            //suspend("alert-success", "已发送验证码: " + ret.message);
            alert(ret.message);
            if (ret.statusCode >= 400) {
                $("#send_verify").attr("disabled", false); // 产生错误则不禁用“发送验证码”按钮
                clearInterval(timer);
                document.getElementById("send_verify").innerHTML = "发送验证码";
            }
            if (ret.statusCode == 201) {
                $("#hidden_passwd").removeAttr("hidden"); // 如果是新用户，开放注册按钮
                document.getElementById("login_or_register_button").innerHTML = "注册";
            }
        });
    }
    function register_or_login() {
        var email = $("#email").val(); //获取邮箱，学号
        // console.log(email);
        var password = $("#password").val();
        // console.log(password);
        var code = $("#code").val();
        // console.log(code);

        $.post("/api/register_or_login_using_verification_code", { email: email, password: password, code: code }, function (ret) {
            if (typeof ret == "string") window.location.href = ret;
            if (ret.statusCode == 400 || ret.statusCode == 401) alert(ret.message); //suspend("alert-danger", ret.message);
            if (ret.statusCode == 200) {
                console.log(ret.message);
                if (ret.message != "") alert(ret.message); 
                if (ret.message == "密码修改成功" || ret.message == "注册成功") {
                    window.location.href = ret.data.url ? ret.data.url : "{{url_for('login')}}";
                }
                else {
                    //console.log(window.history.length);
                    window.history.go(-2);
                }
                
                
                
            }
        });
    }
</script>
<script type="text/javascript" charset="utf-8">
    $(document).ready(function () {
        var forget = "{{ forget|safe }}";
        var set_password = "{{ set_password|safe }}";
        if (forget == "True") {
            $("#hidden_passwd").removeAttr("hidden");
            document.getElementById("login_or_register_button").innerHTML = "确认";
            document.getElementById("title_verification_code_login_or_register").innerHTML = "重置密码";
        }
        if (set_password == "True") {
            $("#hidden_passwd").removeAttr("hidden");
            document.getElementById("login_or_register_button").innerHTML = "确认";
            document.getElementById("title_verification_code_login_or_register").innerHTML = "修改密码";
            if ("{{current_user}}".indexOf("Anonymous") == -1) document.getElementById("click_return_UC").innerHTML = '<a href="{{ url_for("user.user_info",opt_userid=current_user.id) }}">点击</a>返回个人中心';
        }
    });
</script>
{% endblock %}
